{% extends "validator/base.html" %}
{% block content %}
<h3>FLAME-02: interview validator</h3>
<p>
Deze app haalt een aantal veel voorkomende fouten uit gecodeerde interviews.
Momenteel controleert de app op ongebalanceerde haakjes en op code fragmenten
die veel op elkaar lijken (en dus waarschijnlijk hetzelfde moeten zijn). 
</p>
<p>
Sleep een interview in het uploadvak of browse je eigen computer met de
browseknop. Nadat je op "upload" klikt, kom je op een pagina met tabellen met
daarin de regels waarin waarschijnlijk een fout zit. Pas deze regel lokaal aan
en upload het interview opnieuw. Herhaal totdat de tabellen geen fouten meer
bevatten.
</p>
<p>
Merk je dat je vaak een bepaalde fout maakt? Meld dat dan bij het VERLICHT
team. Wij kunnen dan wellicht de validator updaten en checken op deze fout.
</p>
<p>
Klik op <a href="{% url 'test' %}">deze link</a> om een voorbeel te zien van een testinterview.

<p>

<form method="post" enctype="multipart/form-data">
<label for="images" class="drop-container" id="dropcontainer">
  <span class="drop-title">Sleep files hierin</span>
    {% csrf_token %}
    {{ form }}
    <button id="upload_button" type="submit">Upload</button>
</label>
</form>


<script>
    const dropContainer = document.getElementById("dropcontainer")
  const fileInput = document.getElementById("id_of")

  dropContainer.addEventListener("dragover", (e) => {
    // prevent default to allow drop
    e.preventDefault()
  }, false)

  dropContainer.addEventListener("dragenter", () => {
    dropContainer.classList.add("drag-active")
  })

  dropContainer.addEventListener("dragleave", () => {
    dropContainer.classList.remove("drag-active")
  })

  dropContainer.addEventListener("drop", (e) => {
    e.preventDefault()
    dropContainer.classList.remove("drag-active")
    fileInput.files = e.dataTransfer.files
  })

</script>

{% endblock content %}

